#
# Conditional build:
%bcond_without	threads		# build without support for threads in Perl

%if "%{pld_release}" == "th"
%define		abi	5.26.0
%else
%define		abi	5.8.0
%endif

%define		perlthread		%{?with_threads:-thread-multi}
%define		perl_vendorarch	%{_libdir}/perl5/vendor_perl/%{abi}/%{_target_platform}%{perlthread}
%define		perl_vendorlib	%{_datadir}/perl5/vendor_perl

Summary:	Common dirs for Perl modules
Summary(pl.UTF-8):	Katalogi wspólne dla modułów Perla
Name:		perl-dirs
Version:	%{abi}
Release:	2
License:	Public Domain
Group:		Development/Languages/Perl
BuildRequires:	perl-base
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.442
Provides:	%{name}(%{_target_cpu}) = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# no binary blobs packaged
%define		_enable_debug_packages	0

%description
Common dirs for Perl modules.

%description -l pl.UTF-8
Katalogi wspólne dla modułów Perla.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{perl_vendorarch},%{perl_vendorlib}}

while read dir; do
	install -d $RPM_BUILD_ROOT$dir
done <<EOF
%{perl_vendorarch}/AI
%{perl_vendorarch}/Algorithm
%{perl_vendorarch}/Apache
%{perl_vendorarch}/Astro
%{perl_vendorarch}/Audio
%{perl_vendorarch}/Authen
%{perl_vendorarch}/B
%{perl_vendorarch}/BSD
%{perl_vendorarch}/Bit
%{perl_vendorarch}/Cache
%{perl_vendorarch}/Chemistry
%{perl_vendorarch}/Class
%{perl_vendorarch}/Compress
%{perl_vendorarch}/Compress/Raw
%{perl_vendorarch}/Convert
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/Crypt/OpenSSL
%{perl_vendorarch}/CSS
%{perl_vendorarch}/Data
%{perl_vendorarch}/Data/JavaScript
%{perl_vendorarch}/DateTime
%{perl_vendorarch}/DateTime/Event
%{perl_vendorarch}/Devel
%{perl_vendorarch}/Device
%{perl_vendorarch}/Digest
%{perl_vendorarch}/Encode
%{perl_vendorarch}/Event
%{perl_vendorarch}/FFI
%{perl_vendorarch}/File
%{perl_vendorarch}/Graphics
%{perl_vendorarch}/HTML
%{perl_vendorarch}/IO
%{perl_vendorarch}/IO/Socket
%{perl_vendorarch}/IPC
%{perl_vendorarch}/IPTables
%{perl_vendorarch}/IPTables/IPv4
%{perl_vendorarch}/Image
%{perl_vendorarch}/Inline
%{perl_vendorarch}/JavaScript
%{perl_vendorarch}/Linux
%{perl_vendorarch}/Locale
%{perl_vendorarch}/MIME
%{perl_vendorarch}/Math
%{perl_vendorarch}/Math/BigInt
%{perl_vendorarch}/Math/Geometry
%{perl_vendorarch}/Net
%{perl_vendorarch}/Net/DNS
%{perl_vendorarch}/Ogg
%{perl_vendorarch}/Ogg/Vorbis
%{perl_vendorarch}/Params
%{perl_vendorarch}/PerlIO
%{perl_vendorarch}/Speech
%{perl_vendorarch}/Speech/Recognizer
%{perl_vendorarch}/String
%{perl_vendorarch}/Sub
%{perl_vendorarch}/Sys
%{perl_vendorarch}/Template
%{perl_vendorarch}/Term
%{perl_vendorarch}/Test
%{perl_vendorarch}/Text
%{perl_vendorarch}/Time
%{perl_vendorarch}/Unicode
%{perl_vendorarch}/Unix
%{perl_vendorarch}/Variable
%{perl_vendorarch}/WWW
%{perl_vendorarch}/XML
%{perl_vendorarch}/YAML
%{perl_vendorarch}/auto/AI
%{perl_vendorarch}/auto/Algorithm
%{perl_vendorarch}/auto/Astro
%{perl_vendorarch}/auto/Audio
%{perl_vendorarch}/auto/Authen
%{perl_vendorarch}/auto/BSD
%{perl_vendorarch}/auto/Bit
%{perl_vendorarch}/auto/CSS
%{perl_vendorarch}/auto/Cache
%{perl_vendorarch}/auto/Chemistry
%{perl_vendorarch}/auto/Class
%{perl_vendorarch}/auto/Clone
%{perl_vendorarch}/auto/Compress
%{perl_vendorarch}/auto/Compress/Raw
%{perl_vendorarch}/auto/Convert
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/auto/Crypt/OpenSSL
%{perl_vendorarch}/auto/Data
%{perl_vendorarch}/auto/Devel
%{perl_vendorarch}/auto/Device
%{perl_vendorarch}/auto/Digest
%{perl_vendorarch}/auto/Encode
%{perl_vendorarch}/auto/Event
%{perl_vendorarch}/auto/FFI
%{perl_vendorarch}/auto/File
%{perl_vendorarch}/auto/Graphics
%{perl_vendorarch}/auto/HTML
%{perl_vendorarch}/auto/IO
%{perl_vendorarch}/auto/IPC
%{perl_vendorarch}/auto/IPTables
%{perl_vendorarch}/auto/IPTables/IPv4
%{perl_vendorarch}/auto/Image
%{perl_vendorarch}/auto/Inline
%{perl_vendorarch}/auto/JavaScript
%{perl_vendorarch}/auto/Linux
%{perl_vendorarch}/auto/List
%{perl_vendorarch}/auto/Locale
%{perl_vendorarch}/auto/MIME
%{perl_vendorarch}/auto/Math
%{perl_vendorarch}/auto/Math/BigInt
%{perl_vendorarch}/auto/Math/Geometry
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/auto/Ogg
%{perl_vendorarch}/auto/Ogg/Vorbis
%{perl_vendorarch}/auto/Params
%{perl_vendorarch}/auto/Params/Util
%{perl_vendorarch}/auto/PerlIO
%{perl_vendorarch}/auto/Regexp
%{perl_vendorarch}/auto/Speech
%{perl_vendorarch}/auto/Speech/Recognizer
%{perl_vendorarch}/auto/String
%{perl_vendorarch}/auto/Sub
%{perl_vendorarch}/auto/Sys
%{perl_vendorarch}/auto/Term
%{perl_vendorarch}/auto/Test
%{perl_vendorarch}/auto/Text
%{perl_vendorarch}/auto/Time
%{perl_vendorarch}/auto/Unicode
%{perl_vendorarch}/auto/Unix
%{perl_vendorarch}/auto/Variable
%{perl_vendorarch}/auto/WWW
%{perl_vendorarch}/auto/XML
%{perl_vendorarch}/auto/YAML
%{perl_vendorlib}/AI
%{perl_vendorlib}/AI/NeuralNet
%{perl_vendorlib}/Algorithm
%{perl_vendorlib}/Any
%{perl_vendorlib}/Apache
%{perl_vendorlib}/Apache2
%{perl_vendorlib}/App
%{perl_vendorlib}/App/Packer
%{perl_vendorlib}/App/Prove
%{perl_vendorlib}/App/Prove/State
%{perl_vendorlib}/App/Prove/State/Result
%{perl_vendorlib}/Archive
%{perl_vendorlib}/Array
%{perl_vendorlib}/Astro
%{perl_vendorlib}/Astro/Coord
%{perl_vendorlib}/Attribute
%{perl_vendorlib}/Audio
%{perl_vendorlib}/Authen
%{perl_vendorlib}/B
%{perl_vendorlib}/Barcode
%{perl_vendorlib}/Bundle
%{perl_vendorlib}/Business
%{perl_vendorlib}/CGI
%{perl_vendorlib}/CGI/Emulate
%{perl_vendorlib}/CPAN
%{perl_vendorlib}/CPAN/Meta
%{perl_vendorlib}/CSS
%{perl_vendorlib}/Cache
%{perl_vendorlib}/Carp
%{perl_vendorlib}/Chart
%{perl_vendorlib}/Cisco
%{perl_vendorlib}/Class/Data
%{perl_vendorlib}/Class/Inspector
%{perl_vendorlib}/Class/Method
%{perl_vendorlib}/Clone
%{perl_vendorlib}/Compress
%{perl_vendorlib}/Config
%{perl_vendorlib}/Convert
%{perl_vendorlib}/Crypt
%{perl_vendorlib}/DBD
%{perl_vendorlib}/DNS
%{perl_vendorlib}/Data
%{perl_vendorlib}/Data/Validate
%{perl_vendorlib}/Date
%{perl_vendorlib}/Date/Japanese
%{perl_vendorlib}/DateTime
%{perl_vendorlib}/Devel
%{perl_vendorlib}/Device
%{perl_vendorlib}/Digest
%{perl_vendorlib}/Dir
%{perl_vendorlib}/Email
%{perl_vendorlib}/Email/Simple
%{perl_vendorlib}/Error
%{perl_vendorlib}/Eval
%{perl_vendorlib}/Event
%{perl_vendorlib}/Expect
%{perl_vendorlib}/Exporter
%{perl_vendorlib}/ExtUtils
%{perl_vendorlib}/FCGI
%{perl_vendorlib}/File
%{perl_vendorlib}/File/Path
%{perl_vendorlib}/Filesys
%{perl_vendorlib}/Filter
%{perl_vendorlib}/Firefox
%{perl_vendorlib}/Font
%{perl_vendorlib}/Games
%{perl_vendorlib}/Geo
%{perl_vendorlib}/Getopt
%{perl_vendorlib}/GnuPG
%{perl_vendorlib}/Graph
%{perl_vendorlib}/Graphics
%{perl_vendorlib}/HTML
%{perl_vendorlib}/HTML/Display
%{perl_vendorlib}/HTML/Selector
%{perl_vendorlib}/HTTP
%{perl_vendorlib}/HTTP/Message
%{perl_vendorlib}/Hash
%{perl_vendorlib}/Hook
%{perl_vendorlib}/I18N
%{perl_vendorlib}/IO
%{perl_vendorlib}/IO/Compress
%{perl_vendorlib}/IO/Compress/Adapter
%{perl_vendorlib}/IO/Socket
%{perl_vendorlib}/IO/Uncompress
%{perl_vendorlib}/IO/Uncompress/Adapter
%{perl_vendorlib}/IPC
%{perl_vendorlib}/Image
%{perl_vendorlib}/Inline
%{perl_vendorlib}/JSON
%{perl_vendorlib}/JSON/PP
%{perl_vendorlib}/Jabber
%{perl_vendorlib}/JavaScript
%{perl_vendorlib}/Language
%{perl_vendorlib}/Lingua
%{perl_vendorlib}/Lingua/EN
%{perl_vendorlib}/Lingua/Stem
%{perl_vendorlib}/Lingua/Stem/Snowball
%{perl_vendorlib}/Linux
%{perl_vendorlib}/List
%{perl_vendorlib}/Locale
%{perl_vendorlib}/Locale/Maketext
%{perl_vendorlib}/LockFile
%{perl_vendorlib}/Log
%{perl_vendorlib}/MIME
%{perl_vendorlib}/Mail
%{perl_vendorlib}/Math
%{perl_vendorlib}/Math/BigFloat
%{perl_vendorlib}/Math/BigInt
%{perl_vendorlib}/Math/Business
%{perl_vendorlib}/Math/Calc
%{perl_vendorlib}/Math/Fractal
%{perl_vendorlib}/Modem
%{perl_vendorlib}/Module
%{perl_vendorlib}/Module/Pluggable
%{perl_vendorlib}/Mozilla
%{perl_vendorlib}/Net
%{perl_vendorlib}/Net/DNS
%{perl_vendorlib}/Net/FTP
%{perl_vendorlib}/Net/IDN
%{perl_vendorlib}/Net/SMTP
%{perl_vendorlib}/NetAddr
%{perl_vendorlib}/NetAddr/IP
%{perl_vendorlib}/NetServer
%{perl_vendorlib}/Netscape
%{perl_vendorlib}/News
%{perl_vendorlib}/Number
%{perl_vendorlib}/OLE
%{perl_vendorlib}/Object
%{perl_vendorlib}/PAR
%{perl_vendorlib}/PHP
%{perl_vendorlib}/Package
%{perl_vendorlib}/Parallel
%{perl_vendorlib}/Params
%{perl_vendorlib}/Parse
%{perl_vendorlib}/Perl
%{perl_vendorlib}/PerlIO
%{perl_vendorlib}/PerlIO/via
%{perl_vendorlib}/Pod
%{perl_vendorlib}/PostScript
%{perl_vendorlib}/Probe
%{perl_vendorlib}/Proc
%{perl_vendorlib}/Quantum
%{perl_vendorlib}/RADIUS
%{perl_vendorlib}/RPC
%{perl_vendorlib}/RPM
%{perl_vendorlib}/RTF
%{perl_vendorlib}/Regexp
%{perl_vendorlib}/Regexp/common
%{perl_vendorlib}/Role
%{perl_vendorlib}/Rose
%{perl_vendorlib}/SNMP
%{perl_vendorlib}/SOAP
%{perl_vendorlib}/SOAP/Transport
%{perl_vendorlib}/SQL
%{perl_vendorlib}/SVN
%{perl_vendorlib}/Schedule
%{perl_vendorlib}/Sendmail
%{perl_vendorlib}/Server
%{perl_vendorlib}/Set
%{perl_vendorlib}/Shell
%{perl_vendorlib}/Sort
%{perl_vendorlib}/Speech
%{perl_vendorlib}/Spreadsheet
%{perl_vendorlib}/Statistics
%{perl_vendorlib}/Stream
%{perl_vendorlib}/String
%{perl_vendorlib}/Sub
%{perl_vendorlib}/Symbol
%{perl_vendorlib}/Sys
%{perl_vendorlib}/TAP
%{perl_vendorlib}/TAP/Formatter
%{perl_vendorlib}/TAP/Formatter/Console
%{perl_vendorlib}/TAP/Formatter/File
%{perl_vendorlib}/TAP/Harness
%{perl_vendorlib}/TAP/Parser
%{perl_vendorlib}/TAP/Parser/Iterator
%{perl_vendorlib}/TAP/Parser/Result
%{perl_vendorlib}/TAP/Parser/Scheduler
%{perl_vendorlib}/TAP/Parser/Source
%{perl_vendorlib}/TAP/Parser/YAMLish
%{perl_vendorlib}/TeX
%{perl_vendorlib}/Template
%{perl_vendorlib}/Term
%{perl_vendorlib}/Term/ReadLine
%{perl_vendorlib}/Term/Screen
%{perl_vendorlib}/Test
%{perl_vendorlib}/Test/HTTP
%{perl_vendorlib}/Test/Perl
%{perl_vendorlib}/Test/WWW
%{perl_vendorlib}/Text
%{perl_vendorlib}/Text/Password
%{perl_vendorlib}/Text/Query
%{perl_vendorlib}/Tie
%{perl_vendorlib}/Tie/RefHash
%{perl_vendorlib}/Time
%{perl_vendorlib}/Tree
%{perl_vendorlib}/UNIVERSAL
%{perl_vendorlib}/Unicode
%{perl_vendorlib}/Unix
%{perl_vendorlib}/WWW
%{perl_vendorlib}/WWW/Google
%{perl_vendorlib}/WebService
%{perl_vendorlib}/X500
%{perl_vendorlib}/XML
%{perl_vendorlib}/XML/Filter
%{perl_vendorlib}/XML/Handler
%{perl_vendorlib}/XML/Parser
%{perl_vendorlib}/XML/RSS
%{perl_vendorlib}/XML/XPath
%{perl_vendorlib}/auto
%{perl_vendorlib}/auto/AI
%{perl_vendorlib}/auto/Array
%{perl_vendorlib}/auto/Compress
%{perl_vendorlib}/auto/Config
%{perl_vendorlib}/auto/Crypt
%{perl_vendorlib}/auto/Data
%{perl_vendorlib}/auto/Devel
%{perl_vendorlib}/auto/GnuPG
%{perl_vendorlib}/auto/Mail
%{perl_vendorlib}/auto/Math
%{perl_vendorlib}/auto/Net
%{perl_vendorlib}/auto/Schedule
%{perl_vendorlib}/auto/Statistics
%{perl_vendorlib}/auto/Text
%{perl_vendorlib}/auto/WWW
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/perl5/vendor_perl
%dir %{_libdir}/perl5/vendor_perl/%{abi}
%{perl_vendorarch}
%{perl_vendorlib}
%changelog
* Sun Jul 02 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-dirs.git;a=log;h=master

* Sun Jul 02 2017 Jakub Bogusz <qboosh@pld-linux.org> 154284d
- added vendorlib/Dir; release 2

* Sat Jun 10 2017 Jan Rękorajski <baggins@pld-linux.org> bffb5bd
- up to 5.26.0

* Wed Nov 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 4d785fe
- added vendorlib/Perl, release 3

* Mon Nov 07 2016 Jakub Bogusz <qboosh@pld-linux.org> ae33564
- added vendorlib/Eval dir; release 2

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 0d7ffc8
- up to 5.24.0

* Mon Oct 10 2016 Adam Osuchowski <adwol@pld-linux.org> aa0f4fe
- add FFI

* Mon May 02 2016 Jan Rękorajski <baggins@pld-linux.org> cce7d72
- add Net/DNS
- rel 5

* Tue Mar 22 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> f8ef95f
- rel 4; add ../CSS dir

* Tue Mar 22 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> f7e1384
- rel 3; add vendorarch/JavaScript

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 2b19e5e
- added YAML vendorarch dirs (for perl-YAML-LibYAML and perl-YAML-Syck)
- release 2

* Fri Dec 25 2015 Adam Osuchowski <adwol@pld-linux.org> 7c606f3
- change: %{perl_vendorarch}/Astro/Coord -> %{perl_vendorlib}/Astro/Coord

* Fri Dec 25 2015 Adam Osuchowski <adwol@pld-linux.org> c4e9e67
- add %{perl_vendorarch}/Astro/Coord

* Fri Dec 25 2015 Adam Osuchowski <adwol@pld-linux.org> 5c062fb
- add %{perl_vendorarch}/DateTime/Event

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> a81919a
- change versioning scheme to mimic main perl package

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 8f34545
- release 16 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> c6565e9
- updated to perl 5.22.0

* Wed Jun 10 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9933651
- rel 15

* Tue Jun 09 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 686d4d1
- add Math/Geometry

* Sat Apr 18 2015 Adam Osuchowski <adwol@pld-linux.org> c2c9eec
- added %{perl_vendorlib}/Geo
- rel 14

* Mon Apr 06 2015 Adam Osuchowski <adwol@pld-linux.org> 6193c07
- added:
    %{perl_vendorarch}/Data/JavaScript
    %{perl_vendorlib}/Firefox
    %{perl_vendorlib}/HTML/Display
    %{perl_vendorlib}/HTML/Selector
    %{perl_vendorlib}/Shell
- rel 13

